#ifndef SHINT_H
#define SHINT_H

/*

 shint_h

 Internal Commands

 Date           Author          Comments
 ----           ------          --------
 10/10/1991     P.J. Taylor     Original.
 10/10/1991     P.J. Taylor     Amended.
 01/03/1998     A.D.Ives        SwitchEcho(), SetPrompt()
 02/03/1998     A.D.Ives        fexec()
 06/03/1998     A.D.Ives        md()

 1.04
 ----
 07/03/1998     A.D.Ives        WaitKey(), IfTest(), FTest()

 1.05
 ----
 07/03/1998     A.D.Ives        Constants to identify directory added
                                Prototypes for cpd() and cdd() removed
                                Prototype for cd() amended
                                Prototype for let() added
                                Prototype for print() added
                                Prototype for opt() added

 1.06
 ----
 10/03/1998     A.D.Ives        Constants for default directories moved to
                                libpjt_h.
 12/03/1998                     prototypes for winpos(), winsize() and
                                border() adjusted.

 1.07
 ----
 14/03/1998     A.D.Ives        Prototype for forcmd() added.

 1.08
 ----
 27/03/1998                     Prototype for docmd() added.

 1.09
 ----
 17/04/1998                     Prototypes for DTest(), alias() added.

*/

#ifndef _ANSI_H
#include <ansicondef.h>
#endif

void cls() ;
void ink(char *) ;
void paper(char *) ;
void winpos(char *) ;
void winsize(char *) ;
void border(char *) ;
void waitabit(char *) ;
void kill(char *) ;
void cd(char *, int) ;
void SwitchEcho(char *, int *) ;
void SetPrompt(char *, char *) ;
void md(char *) ;
void WaitKey(char *) ;
int IfTest(char *) ;
int fexec(char *name) ;
void FTest(char *) ;
void DTest(char *) ;
void let(char *) ;
void print(char *) ;
void opt(char *) ;
void forcmd(char *) ;
void docmd(char *) ;
void alias(char *) ;

#endif
